html, body {
    margin: 0;
    padding: 0;
    font-family: "Kreon", serif;
    color: var(--coal);

    /***** all colors as vars *****/
    --gold: rgba(201, 169, 84, 1);
    --mud: rgba(124, 101, 40, 1);
    --cherrypink: rgba(220, 115, 126, 1);
    --redder: rgba(143, 61, 69, 1);
    --coal: rgba(0, 0, 0, 0.78);
    --leaf: rgba(58, 124, 109, 1);
    --snow: rgba(255, 255, 255, 1);
}

.hidden,
#ariaHeader,
#leftside,
#newsletterbar {
    display: none;
}

a {
    text-decoration: none;
    cursor: pointer;
    color: var(--coal);
    @supports (transition: initial) {
        transition: all 0.4s ease-out;
    }
}

p {
    margin-bottom: 2rem;
}

.latestrel {
    font-weight: bold;
    color: var(--cherrypink);
}

/***** all buttons styles *****/

.justapinkbtn {
    background: var(--cherrypink);
    color: var(--snow);
    font-size: 1.25rem;
    padding: 0.75rem;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    
    &:hover {
        background-color: var(--redder);
    }
}

.fixedwisthgoldbtn {
    background: var(--gold);
    color: var(--charcoal);
    font-size: 1.25rem;
    padding: 0.75rem;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    display: block;
    text-align: center;
    margin: 1.5rem 4rem;
    
    &:hover {
        background-color: var(--mud);
        color: var(--snow);
    }
}

/***** decorative bars *****/

div.decodivgoldsmall {
    display: block;
    width: 100px;
    background-color: var(--gold);
    height: 4px;
    margin: 3rem auto;
}

div.decodivgoldwide {
    display: block;
    width: 100%;
    background-color: var(--gold);
    height: 1rem;
}

div.decodivrose {
    display: block;
    width: 100px;
    background: var(--cherrypink);
    height: 4px;
    margin: 4rem auto;
}


@supports (transition: initial) {
    /* CSS to use if transitions are supported */
}
  
@media only screen and (min-width: 1px) and (max-width: 679px) {

/***** nav *****/

header {
    margin: 0;
    background-color: var(--gold);

    #mobtop {
        height: 4rem;
        background-color: var(--gold);
        padding: 0.5rem;

        p {
            margin: 0;
        }

        .nonlinkbutton {
            background-color: var(--snow);
            font-size: 1.25rem;
            padding: 0.75rem;
            border-radius: 10px;
            -webkit-border-radius: 10px;
            -moz-border-radius: 10px;
        }
        
        .subscrb {
            float: right;
            text-align: center;
            /* position: relative;
            right: 1rem;
            top: -2rem; */
        }

        nav {
            padding: 1rem;
            float: left;
            width: 4rem;
        }

        #menuopener {
            color: #512138;
        }

        #mobHeaderName {
            display: flex;
            flex-direction: column;
            justify-content: center;
            margin: 25vw;
            font-size: 7vw;
            font-family: "Playfair Display", serif;
            font-weight: 800;
            line-height: 1.15;

            h3 {
                margin-top: 1rem;
                border-top: 1px var(--snow) solid;
            }
        }

        ul {
            display: block;
            list-style-type: none;
            background:  var(--snow);
            z-index: 10000;
            position: absolute;
            left: 0;
            width: 100%;
            padding: 3rem;
            text-align: center;
            
            li {
                display: block;
                border-bottom: 1px var(--cherrypink) solid;
                width: 50%;
                margin: auto;
                font-size: 1.5rem;
                
                a {
                    color: var(--coal);
                    line-height: 4rem;
                }
            }
            
            li:last-child {
                border-bottom: none;
            }
            
        }
        
        .hidden {
            display: none;
        }
    }
    
    h1 {
        text-align: center;
    }
}


/***** landing page *****/

section {
    padding: 0 2rem;

    article {
        font-size: 1.5rem;
    }
}

.maincontainer {
    
    #logomobile {
        margin: 4rem;
    }

    #heroland {
        border-top: 1rem solid rgba(201, 169, 84, 1);
        /* background-image: url(../imgs/am_mobilehead_800x1440.jpg);
        background-size: 100%;
        background-repeat: no-repeat;
        height: 180vw;
        padding: 115vw 2rem 0 2rem; */
        padding: 0;

        .blurb {
            padding: 2rem;
            font-size: 1.25rem;

            a {
                display: block;
                margin: 0 auto;
                text-align: center;
                width: 8rem;
            }
        }
    }
    
    #booksland {
        margin-top: 4rem;
        padding: 0 1rem;

        h2 {
            font-size: 3rem;
        }
            
        .gallerymain {
            margin-top: 2rem;
            text-align: center;
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            gap: 1rem;            

            img {
                padding: 0 1rem;
            }
    
            a {
                &:hover {
                    color: var(--cherrypink);
                }
            }
    
            h3 {
                /* border-top: 1rem solid rgba(201, 169, 84, 1); */
                padding-top: 1.5rem;
                margin-top: -0.5rem;
            }
    
            p {
                margin: 0;
                padding: 0;
                line-height: 1.5;
                font-size: 1.25rem;
            }

            article {
                margin: 1rem 0 2rem 0;
            }

            h3 {
                color: var(--coal);
                font-size: 1.25rem;
                margin-bottom: 0.5rem;
            }

            p {
                padding: 0 1rem;
            }

        }
    }

    #contentpledge {
            

        p {
            font-size: 1.5rem;
            color: rgba(58, 124, 109, 1);
            background-image: url(../imgs/am_pink_down_flag.png);
            background-repeat: no-repeat;
            background-position: top left;
            background-size: 30px;
            padding-left: 3rem;
            margin: 6rem 2rem;
        }
    }

}
}

/* ----- INDIVIDUAL BOOKS pages ----- */

.singlebookshelf {
    border-top: 1rem solid var(--gold);
    padding-top: 2rem;
    
    .singlebook {
        margin-bottom: 8rem;

        .singlebookimg {
            .bookcover, .booklinks {
                display: block;

                .justapinkbtn {
                    display: block;
                    width: 100%;
                    margin-bottom: 0.5rem;
                    text-align: center;
                }
            }

            .bookcover {
                width: 55%;
                margin-right: 1rem;
                
            }

            .booklinks {
                width: 45%;
            }
    
            display: flex;
            flex-direction: row;
            flex: 2 1 auto;

        }

        .singlebookdetails {

            h2 {
                text-align: center;
                font-size: 3rem;
                margin-top: 2rem;
            }

            h3 {
                color: var(--leaf);
                text-align: center;
            }

            p {
                font-size: 1.25rem;
                
            }

            .tropes {
                color: var(--leaf);
            }
        }
                   
    }
    

   
    
}

/* ----- ALL LINKS page ----- */

#alllinksbox {

    header,
    .alllinksmain {
        width: 100%;
        max-width: 600px;
        margin: 0 auto;
        padding-bottom: 6rem;
    }

    header {
        background: var(--snow);
        padding: 6rem 3rem 0 3rem;

        img {
            width: 100%;
            margin: 0 auto;
        }

        p {
            font-size: 1.25rem;
            text-align: center;
            margin-bottom: 3rem;
        }
    }

    #allsocmedlinks {

       text-align: center;

        li {
            list-style-type: none;
            display: inline;
    
            a {
                display: inline-block;
                background-repeat: no-repeat;
                width: 3rem;
                height: 3rem;
                background-size: 3rem 3rem;
                margin: 0 0.5rem;                   
            }
        }
    
        #allnavsocmedinsta {
            background-image: url(../imgs/am_insta_icon_yellow_96x96.png);
            
            &:hover {
                background-image: url(../imgs/am_insta_icon_mud_96x96.png);
            }
        }
    
        #allnavsocmedgoodreads {
            background-image: url(../imgs/am_gr_icon_yellow_96x96.png);
    
            &:hover {
                background-image: url(../imgs/am_gr_icon_mud_96x96.png);
            }
        }
    
        #allnavsocmedbookbub {
            background-image: url(../imgs/am_bb_icon_yellow_96x96.png);
    
            &:hover {
                background-image: url(../imgs/am_bb_icon_mud_96x96.png);
            }
        }

    }

}




/* ----- FOOTER ----- */

footer {
    margin-top: 4rem;
    padding: 1rem 0;
    background-color: var(--gold);
    
    p {
        text-align: center;
        margin: 0;
    }

}